package com.ycwl.basic.model.mobile.weChat;


import lombok.Data;

/**
 * @Author: songmingsong
 * @CreateTime: 2024-12-05
 * @Description: 微信用户信息
 * @Version: 1.0
 */
@Data
public class WeChatUserInfoModel {
    /**
     * 微信openid
     */
    private String openId;
    /**
     * 用户id
     */
    private String id;
    /**
     * 头像
     */
    private String avatarUrl;
    /**
     * 微信昵称
     */
    private String nickname;
    /**
     * 真实名称
     */
    private String realName;
}
