package com.ycwl.basic.service.task;

import com.ycwl.basic.model.pc.template.resp.TemplateRespVO;
import com.ycwl.basic.model.task.req.TaskReqVo;
import com.ycwl.basic.model.task.req.WorkerAuthReqVo;
import com.ycwl.basic.model.task.resp.TaskSyncRespVo;

public interface TaskService {
    TaskSyncRespVo handleSyncTask(TaskReqVo req);
    void createRenderTask(Long scenicId, Long templateId, Long faceId);

    TemplateRespVO workerGetTemplate(Long templateId, WorkerAuthReqVo req);

    void taskSuccess(Long taskId, WorkerAuthReqVo req);

    void taskFail(Long taskId, WorkerAuthReqVo req);

    String getUploadUrl(Long taskId, WorkerAuthReqVo req);
}
